Conteníu

# Left Function

Devuelve'l númberu de los caráuteres especificaos que s'atopen más a la izquierda d'una espresión de cadena.

### Syntax:

    Left (string As String, length As Long) As String

### Return value:

Cadena

### Parameters:

string: Any string expression that you want to return the leftmost characters from.

length: Numeric expression that specifies the number of characters that you want to return. If length = 0, a zero-length string is returned. The maximum allowed value is 2,147,483,648.

L'exemplu siguiente convierte una fecha en formatu AAAA.MM.DD a formatu MM/DD/AAAA.

### Error codes:

5 Llamada a procedimientu non válida

### Example:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Escriba una data en formatu internacional 'AAAA-MM-DD'")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Temes rellacionaos

String functions